Subject: Re: [MOBILE-IP] RFC2002bis

From: Alper Yegin <[email-masked]>
Date: Wed, 12 Jan 2000 00:11:51 -0500

Hi Karim,

>
>Could you please clarify why it is not possible to optimise the forwarding
>when two communicating MNs are connected to the same FA (or GFA)? If you
>use smooth handoffs (or fast handoffs in the case of HFAs) then if the MN
>moves to another site there should be no problem. Also, what is the
>problem of getting the HA out of the loop?

I have to go back and read fast handoff mechanism, but if it's doing clean up (arp tables) after MN moves to some other foreign link, then there's no problem.
But if it doesn't, it disturbs the routing.

Also, in the case of using overlapped private addresses and FA located CoA, how
does this kind of route optimization work? (sorry if this is already discussed)

HA might be collecting statistics on traffic to the MN, which you would
assume will go through HA without explicit route optimization methods. The
values would come out low, because of the 'side effect' route optimization.

alper